INTERFACE
SUBROUTINE LAINOR2TL(KASLB1,KPROMA,KSTART,KPROF,KGLN,KGLX,KFLDN,KFLDX,&
 & KSTABUF,&
 & KVLAG,KWLAG,LDPLANE,&
 & LDQMHW,LDQMHP,&
 & PUL9,PVL9,PCL9,PUL0,PVL0,PCL0,&
 & PUL95,PVL95,PCL95,PUL05,PVL05,PCL05,&
 & PINDX,PINDY,&
 & KSTTYP,PDSTRET,PC2M1,PC2P1,P4JP,PI,PDEPI,PIS2,&
 & PLOCEN,PMUCEN,PLSDEPI,PLATI,PIPI0,PIPI1,PIPI2,&
 & PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PCOSCO,PSINCO,PSINLA,PCOPHI,&
 & PCOSCO5,PSINCO5,PSINLA5,PCOPHI5,&
 & PLON,PLAT,&
 & PO,PQ,&
 & PU9,PV9,PC9,&
 & PLON5,PLAT5,&
 & PO5,PQ5,&
 & PU95,PV95,PC95,&
 & PZUZ9,PZVZ9,PZUZ95,PZVZ95) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KGLN
INTEGER(KIND=JPIM),INTENT(IN) :: KGLX
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(KGLN:KGLX)
INTEGER(KIND=JPIM),INTENT(IN) :: KVLAG
INTEGER(KIND=JPIM),INTENT(IN) :: KWLAG
LOGICAL ,INTENT(IN) :: LDPLANE
LOGICAL ,INTENT(IN) :: LDQMHW
LOGICAL ,INTENT(IN) :: LDQMHP
REAL(KIND=JPRB) ,INTENT(IN) :: PUL9(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVL9(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL9(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PUL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PUL95(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVL95(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL95(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PUL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDX(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDY(KPROMA)
INTEGER(KIND=JPIM),INTENT(IN) :: KSTTYP
REAL(KIND=JPRB) ,INTENT(IN) :: PDSTRET
REAL(KIND=JPRB) ,INTENT(IN) :: PC2M1
REAL(KIND=JPRB) ,INTENT(IN) :: PC2P1
REAL(KIND=JPRB) ,INTENT(IN) :: P4JP
REAL(KIND=JPRB) ,INTENT(IN) :: PI
REAL(KIND=JPRB) ,INTENT(IN) :: PDEPI
REAL(KIND=JPRB) ,INTENT(IN) :: PIS2
REAL(KIND=JPRB) ,INTENT(IN) :: PLOCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PMUCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI0(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PO(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PU9(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PV9(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PC9(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PO5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU95(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV95(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PC95(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZUZ9(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZVZ9(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZUZ95(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZVZ95(KPROMA)
END SUBROUTINE LAINOR2TL
END INTERFACE
